%define rel	 16

Summary:	Console frontend for CD rippers and audio encoders
Name:		jack
Version:	3.1.1
Release:	%mkrel %{rel}
License:	GPLv2
Group:		Sound/Utilities
URL:		http://www.home.unix-ag.org/arne/jack/

Source0:	%{name}-%{version}.tar.bz2
# From Debian
Patch0:		92_fix_python2.6_warning.patch
BuildRequires:	python-devel
BuildRequires:	python-ID3 
BuildRequires:	python-CDDB
BuildRequires:	pyid3lib
BuildRequires:	pyvorbis >= 1.0
BuildRequires:	ncurses-devel
Requires:	python-ID3
Requires:	python-CDDB
Requires:	vorbis-tools 
Requires:	pyid3lib
Requires:	pyvorbis >= 1.0
Requires:	cdparanoia

%description
Jack has been developed with one main goal: ripping CDs without having
to worry. There is nearly no way that an incomplete rip goes
unnoticed, e.g. jack compares WAV and MP3/Vorbis filesizes when continuing
from a previous run. Jack also checks your HD space before doing
anything (even keeps some MB free).

%prep
%setup -q
%autopatch -p1

%build
%{__python} setup.py build
%{__python} -c "import jack_CDTime"
%{__python} -c "import jack_misc"
%{__python} -c "import jack_mp3"
%{__python} -c "import jack_TOCentry"
%{__python} -c "import jack_TOC"

%install
%{__python} setup.py install --root %{buildroot}
install -D -m 755 jack %{buildroot}%{_bindir}/jack
install -D -m 644 jack.man %{buildroot}%{_mandir}/man1/jack.1
cp jack_* %{buildroot}%{_libdir}/python%{pyver}/site-packages/


%files
%doc doc/* README
%{_bindir}/jack
%{_libdir}/python%{pyver}/site-packages/*
%{_mandir}/man?/*




%changelog
* Tue Feb 02 2016 umeabot <umeabot> 3.1.1-16.mga6
+ Revision: 932750
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-15.mga5
+ Revision: 740082
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.1-14.mga5
+ Revision: 726526
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-13.mga5
+ Revision: 680600
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.1.1-12.mga5
+ Revision: 628267
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 3.1.1-11.mga4
+ Revision: 506120
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 philippem <philippem> 3.1.1-10.mga4
+ Revision: 502358
- fix syntax error in jack_functions.py

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 3.1.1-8.mga3
+ Revision: 354642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 barjac <barjac> 3.1.1-7.mga3
+ Revision: 327031
- changed group to new policy
- corrected license

* Thu Mar 17 2011 ennael <ennael> 3.1.1-6.mga1
+ Revision: 73253
- clean spec file

  + grenoya <grenoya>
    - imported package jack


* Fri Nov 12 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 3.1.1-6mdv2011.0
+ Revision: 597011
- rebuild for python 2.7

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 3.1.1-5mdv2011.0
+ Revision: 438015
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 3.1.1-4mdv2009.0
+ Revision: 167925
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 3.1.1-4mdv2008.0
+ Revision: 57392
- Import jack



* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 3.1.1-1mdv2007.0
- Rebuild

* Wed Oct 26 2005 Lenny Cartier <lenny@mandriva.com> 3.1.1-3mdk
- rebuild for allegro

* Thu Jul 28 2005 Eskild Hustvedt <eskild@mandriva.org> 3.1.1-2mdk
- %%mkrel
- Add require for cdparanoia
- Minor changes to the description

* Fri Apr 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 3.1.1-1mdk
- fix installation
- New release 3.1.1

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 3.0.0-3mdk
- Rebuild for new python

* Fri Dec  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.0.0-2mdk
- use pyver macro

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 3.0.0-1mdk
- 3.0.0

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-4mdk
- drop prefix
- new python

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-2mdk
- rebuild

* Wed Oct 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-1mdk
- require vorbis wrapper version 1.0
- 2.99.9

* Mon Jul  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-4mdk
- require pyvorbis for tagging of ogg files
- require oggenc to work out of the box

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-3mdk
- plf => mdk (sorry Goetz)
- add desc it support ogg.

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-1plf
- mdk => plf

* Wed Jun 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-2mdk
- Fix buildrequires on python (<= not =)

* Tue Apr 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-1mdk
- 2.99.8
- remove patch

* Thu Feb  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-3mdk
- add a fix from cvs for a bug affecting oggenc

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-2mdk
- python 2.2
- updated BuildRequires

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-1mdk
- initial package
